package at.ac.uibk.gitsearch.service;

import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import at.ac.uibk.gitsearch.service.dto.StatisticsDTO;

/**
 * Service Interface for managing {@link at.ac.uibk.gitsearch.domain.Statistics}.
 */
public interface StatisticsService {

    /**
     * Save a statistics.
     *
     * @param statisticsDTO the entity to save.
     * @return the persisted entity.
     */
    StatisticsDTO save(StatisticsDTO statisticsDTO);

    /**
     * Get all the statistics.
     *
     * @param pageable the pagination information.
     * @return the list of entities.
     */
    Page<StatisticsDTO> findAll(Pageable pageable);


    /**
     * Get the "id" statistics.
     *
     * @param id the id of the entity.
     * @return the entity.
     */
    Optional<StatisticsDTO> findOne(Long id);

    /**
     * Delete the "id" statistics.
     *
     * @param id the id of the entity.
     */
    void delete(Long id);

//    /**
//     * Search for the statistics corresponding to the query.
//     *
//     * @param query the query of the search.
//     * 
//     * @param pageable the pagination information.
//     * @return the list of entities.
//     */
//    Page<StatisticsDTO> search(String query, Pageable pageable);

    Optional<StatisticsDTO> findOneByExerciseID(String id);

}
