import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'jhi-exercise-metadata-item',
  templateUrl: './exercise-metadata-item.component.html',
  styleUrls: ['./exercise-metadata-item.component.scss'],
})
export class ExerciseMetadataItemComponent implements OnInit {
  @Input() description: string | undefined;
  @Input() value: string | string[] | undefined;
  @Input() treatAsHTML = false;

  ngOnInit(): void {
    this.description = undefined; // just to get rid
    }

  isArray(value: string | string[]): boolean {
    return Array.isArray(value);
  }

  arrayToString(array: string | string[]): string {
    if (!this.isArray(array)) {
      // should not happen
      // Replace with a better way of handling value,
      // a variable which can be either a string or an array of strings.
      return '';
    }
    let result = '';
    for (let i = 0; i < array.length - 1; ++i) {
      result += array[i] + ', ';
    }
    result += array[array.length - 1];
    return result;
  }
}
